34

Monospaced / Unformatted Text ...

In our work a solution frequently involves code snippets.

e.g.

(defun c:PointAt ( / ename dist point )

(if (setq ename (car (entsel)))

(if (setq dist (getdist "\nEnter distance: "))

(princ

(if (setq point (_PointAtDist ename dist))

(strcat

"\nPoint: "

(vl-princ-to-string

(mapcar

'rtos

(setvar "lastpoint" point)

)

)

)

"\nPoint not on object."

)

)

)

)

(princ)

)

Posting code into a ticket thread is unsatisfactory as the rendering engine flattens (strips leading white space) all indentation.

e.g.

(defun c:PointAt ( / _PointAtDist ename dist point )

(if (setq ename (car (entsel)))

(if (setq dist (getdist "\nEnter distance: "))

(princ

(if (setq point (_PointAtDist ename dist))

(strcat

"\nPoint: "

(vl-princ-to-string

(mapcar

'rtos

(setvar "lastpoint" point)

)

)

)

"\nPoint not on object."

)

)

)

)

(princ)

)

While some solutions could be posted to a forum entry, it's not a
blanket solution, nor is the rendering engine for forum posts ideal from
a coder's perspective (you can edit the html direct and place [pre]
code [/pre] tags but meh).

Attaching code files is overkill for solutions that involve a dozen or so lines of code.

Thoughts?

--

Unrelated ...

  • It would be great if posts and comments could be previewed before posting.
  • The ability to color text (without modifying html directly) would be nice.

Having said all this ... zendesk kills ... outstanding product!!

  • Michael

84 comments

Please sign in to leave a comment.